﻿Imports System.Data.Objects
Public Class Form2
    Protected categoriaContexto As MacorattiEntities
    Private Sub Form2_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Try
            'cria uma instância do ObjectContext
            categoriaContexto = New MacorattiEntities
            'realiza uma consulta para retornar as categorias e os produtos ordenados por nome
            Dim consulta As ObjectQuery(Of Categoria) = _
                categoriaContexto.Categorias.Include("Produtos").OrderBy("it.nome")
            'exibe as categorias no combobox pelo nome
            cboCategorias.DataSource = consulta
            cboCategorias.DisplayMember = "nome"
            cboCategorias.ValueMember = "categoriaid"
        Catch ex As Exception
            MsgBox("Erro : " & ex.Message)
        End Try
    End Sub
    Private Sub cboCategorias_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboCategorias.SelectedIndexChanged
        'Obtem o objeto para a categoria selecionada
        Dim oCat As Categoria = CType(Me.cboCategorias.SelectedItem, Categoria)
        'exibe os produtos relacionados 
        gdvProdutos.DataSource = oCat.Produtos
        'oculta as colunas indicadas
        gdvProdutos.Columns("Categorias").Visible = False
        gdvProdutos.Columns("ItensPedidos").Visible = False
        'redimensiona as colunas conforme o tamanho 
        gdvProdutos.AutoResizeColumns(DataGridViewAutoSizeColumnsMode.AllCells)
    End Sub
End Class