﻿Imports System.Data.Objects
Public Class frmMestreDetalhes
    Protected categoriaContexto As MacorattiEntities
    Private Sub frmMestreDetalhes_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        'cria uma instância do ObjectContext
        categoriaContexto = New MacorattiEntities

        'defina consulta para obter as categorias e os produtos
        Dim categoria As ObjectQuery = categoriaContexto.Categorias.Include("Produtos")
        'atribui ao BindingSource o resultado da consulta
        bs.DataSource = categoria
        'atribui o BindingSource ao DatagridView para exibir as categorias
        gdvCategoria.DataSource = bs
        'Esconde a coluna Produtos (Navigation Properties)
        gdvCategoria.Columns("Produtos").Visible = False
        gdvCategoria.AutoResizeColumns(DataGridViewAutoSizeColumnsMode.AllCells)

        'Efetua a vinculação dos produtos relacionados ao segundo DataGridView
        gdvProdutos.DataBindings.Add(New Binding("DataSource", bs, "Produtos"))
        'Esconde as colunas indicadas
        gdvProdutos.Columns("Categorias").Visible = False
        gdvProdutos.Columns("ItensPedidos").Visible = False
        gdvProdutos.AutoResizeColumns(DataGridViewAutoSizeColumnsMode.AllCells)
    End Sub

    Private Sub btnSalvar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSalvar.Click
        Try
            'salva as alterações feitas no 
            categoriaContexto.SaveChanges()
            MsgBox("Alteração salva com sucesso.")
        Catch ex As Exception
            MsgBox("Erro : " & ex.Message)
        End Try
    End Sub
End Class